# Class: oPieSubMenu

## $. oPieSubMenu

A type of menu with nested levels that appear around the mouse

#### new $.oPieSubMenu(name, widgets)

openHarmony/openHarmony_dialog.js, line 861
  The $.oPieMenu constructor.

  Name | Type | Description
  --- | --- | ---
  `name` | string | The name for this pie Menu.
  `widgets` | Array.<QWidget> | optional The widgets to display in the menu.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `name` | string | The name for this pie Menu.
  `widgets` | string | The widgets to display in the menu.
  `menu` | string | The oPieMenu Object containing the widgets for the submenu
  `itemAngle` | string | a set angle for each items instead of spreading them across the entire circle
  `extraRadius` | string | using a set radius between each submenu levels